#ifndef _H_9C130E15893104E64811D98619BB4369_CostmapMetaData__H_
#define _H_9C130E15893104E64811D98619BB4369_CostmapMetaData__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"
#include "builtin_interfaces/msg/dds_opensplice/Time_.h"
#include "geometry_msgs/msg/dds_opensplice/Pose_.h"


namespace nav2_msgs
{
    namespace msg
    {
        namespace dds_
        {
            struct  CostmapMetaData_
            {
                ::builtin_interfaces::msg::dds_::Time_ map_load_time_;
                ::builtin_interfaces::msg::dds_::Time_ update_time_;
                ::DDS::String_mgr layer_;
                ::DDS::Float resolution_;
                ::DDS::ULong size_x_;
                ::DDS::ULong size_y_;
                ::geometry_msgs::msg::dds_::Pose_ origin_;
            };

            typedef DDS_DCPSStruct_var<CostmapMetaData_> CostmapMetaData__var;
            typedef DDS_DCPSStruct_out < CostmapMetaData_> CostmapMetaData__out;

        }

    }

}

#endif /* _H_9C130E15893104E64811D98619BB4369_CostmapMetaData__H_ */
